org.apache.xmlbeans.impl.xb.ltgfmt

## Interface TestsDocument

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  TestsDocumentImpl

    public interface TestsDocument
    extends XmlObject

A document containing one tests(@http://www.bea.com/2003/05/xmlbean/ltgfmt) element. This is a complex type.

### Nested Class Summary

Nested Classes
`static interface` `TestsDocument.Tests` An XML tests(@http://www.bea.com/2003/05/xmlbean/ltgfmt).

### Field Summary

Fields
`static DocumentFactory<TestsDocument>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`TestsDocument.Tests` `addNewTests()` Appends and returns a new empty "tests" element
`TestsDocument.Tests` `getTests()` Gets the "tests" element
`void` `setTests(TestsDocument.Tests tests)` Sets the "tests" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<TestsDocument> Factory

#### type

    static final SchemaType type

### Method Detail

#### getTests

    TestsDocument.Tests getTests()

Gets the "tests" element

#### setTests

    void setTests(TestsDocument.Tests tests)

Sets the "tests" element

#### addNewTests

    TestsDocument.Tests addNewTests()

Appends and returns a new empty "tests" element